Skip to main content
GET
/
fleet
/
documents
Fetch all documents
curl --request GET \
  --url https://api.samsara.com/fleet/documents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2009-03-03T07:48:13Z",
      "documentType": {
        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
        "name": "Fleet Truck List"
      },
      "driver": {
        "id": "45646",
        "externalIds": {},
        "name": "Driver Bob"
      },
      "fields": [
        {
          "label": "Load weight",
          "type": "photo",
          "value": {
            "barcodeValue": [
              {
                "barcodeType": "org.gs1.EAN-13",
                "barcodeValue": "0853883003114"
              }
            ],
            "dateTimeValue": {
              "dateTime": "2002-02-18T15:38:47Z"
            },
            "multipleChoiceValue": [
              {
                "selected": false,
                "value": "Yes"
              }
            ],
            "numberValue": 123.456,
            "photoValue": [
              {
                "id": "f5271458-21f9-4a9f-a290-780c6d8840ff",
                "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456"
              }
            ],
            "scannedDocumentValue": [
              {
                "id": "f5271458-21f9-4a9f-a290-780c6d8840ff",
                "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456"
              }
            ],
            "signatureValue": {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "name": "John Smith",
              "signedAtTime": "1985-01-18T04:30:49Z",
              "url": "https://samsara-driver-media-upload.s3.us-west-2.amazonaws.com/123456"
            },
            "stringValue": "Red Truck"
          }
        }
      ],
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "state": "submitted",
      "conditionalFieldSections": [
        {
          "conditionalFieldFirstIndex": 7614788251245023000,
          "conditionalFieldLastIndex": 4183211541072084000,
          "triggeringFieldIndex": 4033010555242500600,
          "triggeringFieldValue": "Optiona 1"
        }
      ],
      "name": "Dropoff Slip 123",
      "notes": "Missing a crate",
      "route": {
        "id": "131313",
        "externalIds": {},
        "name": "Pineapple delivery"
      },
      "routeStop": {
        "externalIds": {},
        "id": "494123",
        "name": "Company Warehouse #1"
      },
      "updatedAtTime": "1992-02-28T12:42:58Z",
      "vehicle": {
        "externalIds": {},
        "id": "494123",
        "name": "Fleet Truck #1"
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

documentTypeId
string

ID of the document template type.

queryBy
string

Query by document creation time (created) or updated time (updated). Defaults to created.

Response

OK response.

data
object[]
required

Multiple documents.

pagination
object
required

Pagination parameters.